import request from '@/utils/request'

// 查询危害物质-危害性质列表
export function listFeature(query) {
  return request({
    url: '/configuration/feature/list',
    method: 'get',
    params: query
  })
}

// 查询危害物质-危害性质详细
export function getFeature(id) {
  return request({
    url: '/configuration/feature/' + id,
    method: 'get'
  })
}

// 新增危害物质-危害性质
export function addFeature(data) {
  return request({
    url: '/configuration/feature',
    method: 'post',
    data: data
  })
}

// 修改危害物质-危害性质
export function updateFeature(data) {
  return request({
    url: '/configuration/feature',
    method: 'put',
    data: data
  })
}

// 删除危害物质-危害性质
export function delFeature(id) {
  return request({
    url: '/configuration/feature/' + id,
    method: 'delete'
  })
}

// 导出危害物质-危害性质
export function exportFeature(query) {
  return request({
    url: '/configuration/feature/export',
    method: 'get',
    params: query
  })
}
